6.0.0-git
2019-03-20

[#7457] Pager URL grows with each page
Summary Pager URL grows with each page
Queue Turba
Queue Version 2.3.1
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester janne.peltonen (at) helsinki (dot) fi
Created 2008-10-08 (3815 days ago)
Due
Updated 2009-01-19 (3712 days ago)
Assigned 2009-01-16 (3715 days ago)
Resolved 2009-01-16 (3715 days ago)
Milestone
Patch No

History
2009-01-19 15:09:07 Michael Rubinsky Comment #11 Reply to this comment
Fixed.



http://lists.horde.org/archives/cvs/Week-of-Mon-20090119/086249.html



The fix from Bug: 7042 was never merged either.  Thanks for the catch.
2009-01-19 07:55:24 dom (dot) lalot (at) gmail (dot) com Comment #10 Reply to this comment
Actually, looks like it was just a missing merge from HEAD.

Fixed.
Michael, I forgot to say, that I noticed the patch was not applied. 
Trying to put it again, I observe, it's not working anymore.



Did you test it again. I tried again this morning whitout success



                 'source' => Util::getFormData('source', $default_source)

             ));

             $viewurl = urldecode(Util::addParameter('search.php', $params));



             require_once 'Horde/UI/Pager.php';


2009-01-16 18:37:35 Michael Rubinsky Comment #9
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Actually, looks like it was just a missing merge from HEAD.



Fixed.
2009-01-16 15:21:10 Michael Rubinsky Version ⇒ 2.3.1
 
2009-01-16 15:19:19 Michael Rubinsky Comment #7
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
There does indeed appear to be a regression here...reopening the ticket.
2009-01-16 15:09:43 dom (dot) lalot (at) gmail (dot) com Comment #6 Reply to this comment
Please ignore my last comment as I could see this is what was
resolved by the other similar bug. All fine then :)
It seems that the bug reappears in turba 2.3.1 after being solved previously



I tried to reintroduce manualy  the patch without success



Dom
2009-01-10 08:53:15 stephane (dot) schitter (at) free (dot) fr Comment #5 Reply to this comment
Please ignore my last comment as I could see this is what was resolved 
by the other similar bug. All fine then :)


2009-01-10 08:49:54 stephane (dot) schitter (at) free (dot) fr Comment #4 Reply to this comment
This is not fully resolved. The same ListView.php file needs also the 
urldecode to be applied at line 182 before the Util::addParameter for 
the "browse.php" page.
2008-10-08 14:54:15 Michael Rubinsky Comment #3
Assigned to Michael Rubinsky
Summary ⇒ Pager URL grows with each page
State ⇒ Resolved
Reply to this comment
Sort of a duplicate of Bug: 7042 - that one either wasn't fixed 
completely or some new code made it in that required this additional 
fix.
2008-10-08 14:53:54 CVS Commit Comment #2 Reply to this comment
Changes have been made in CVS for this ticket:

http://cvs.horde.org/diff.php/turba/lib/ListView.php?r1=1.71&r2=1.72&ty=u
2008-10-08 12:59:36 Chuck Hagenbuch Version ⇒ 2.3
Queue ⇒ Turba
 
2008-10-08 10:22:25 janne (dot) peltonen (at) helsinki (dot) fi Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Turba letter sub page links get longer and longer
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
If a user has so many contacts in his/her address book that Turba 
organizes the contacts in different pages according to the first 
letter of the name, an interesting problem occurs.



When I first open Turba, the links to other sub pages (the letter 
links, B, C and so on) are like this:



https://webmail.helsinki.fi/horde/turba/browse.php?key=&url=https%3A%2F%2Fwebmail.helsinki.fi%2Fhorde%2Fturba%2Findex.php&page=B&show=all



If I follow one of those links, the links on the new page are like this:



https://webmail.helsinki.fi/horde/turba/browse.php?key=&url=https%3A%2F%2Fwebmail.helsinki.fi%2Fhorde%2Fturba%2Fbrowse.php%3Fkey%3D%26url%3Dhttps%253A%252F%252Fwebmail.helsinki.fi%252Fhorde%252Fturba%252Findex.php%26page%3DB%26show%3Dall&page=C&show=all



And then, like this:



https://webmail.helsinki.fi/horde/turba/browse.php?key=&url=https%3A%2F%2Fwebmail.helsinki.fi%2Fhorde%2Fturba%2Fbrowse.php%3Fkey%3D%26url%3Dhttps%253A%252F%252Fwebmail.helsinki.fi%252Fhorde%252Fturba%252Fbrowse.php%253Fkey%253D%2526url%253Dhttps%25253A%25252F%25252Fwebmail.helsinki.fi%25252Fhorde%25252Fturba%25252Findex.php%2526page%253DB%2526show%253Dall%26page%3DC%26show%3Dall&page=B&show=all



And so on, until:



Request-URI Too Large

The requested URL's length exceeds the capacity limit for this server.

Apache/2.2.3 (Red Hat) Server at kappa.it.helsinki.fi Port 443


Saved Queries